(*** OPENS ********************************************************************)
open Formula;;

(*** TYPES ********************************************************************)

(*** FUNCTIONS ****************************************************************)

(*** command line arguments ***)
let help = [
 ("-answer", Arg.Clear Debug.answer, "print no answer");
 ("-cnf", Arg.Set Debug.cnf, "print cnf");
 ("-formula", Arg.Clear Debug.formula, "print no formula");
 ("-model", Arg.Clear Debug.model, "print no model");
 ("-time", Arg.Set Debug.time, "print execution times");
 ("-tseitin", Arg.Set Debug.tseitin, "use Tseitin CNF (instead of Plaisted/Greenbaum");
];;

let main () =
 Arg.parse help (fun _ -> ()) "Help:";
 let a = var 1 and b = var 2 and c = var 3 in

 let f = !!a <<->> (b <&> c) in
 (* let f = (!!) ((Formula.top)) in *)
 (* let f = !!(!! a) in *)

 Formula.print_formula f;
 let assign = Logic.solve f in
 Logic.print_assign assign;
;;

main ();;
Debug.print_totaltime ();
